%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Python bindings for the libnotify API
Name:      	python26-notify
Version:   	0.1.1
Release:   	2
BuildArch:	i686
Requires: 	python26 libnotify
URL:		http://www.galago-project.org/
Group:     	Development/Python
License:	GNU/GPL	
Source0: 	notify-python-%{version}.tar.bz2
Patch0:		notify-python-python26.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	python26-devel python26-pygtk-devel libnotify-devel gtk2+-devel expat-devel
Provides:	notify-python = %{version}-%{release}
Obsoletes:	notify-python <= %{version}-%{release}

%description
Python bindings for the libnotify API

%prep
%setup -q -n notify-python-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix PYTHON=/usr/bin/python%{PYVER}
make

%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}
%{_pkgconfig}/notify-python.pc
%{_datadir}/pygtk/2.0/defs/pynotify.defs


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.1-2
- python 2.6
- rename package to python26-notify
* Thu Aug 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.1-1
- Initial CCux package release
